RoleStep (gCube Workflow Documents Manager Portlet 2.4.0-SNAPSHOT API)
Date: 2015-11-01

org.gcube.portlets.admin.wfdocviewer.shared

## Class RoleStep

- java.lang.Object
- - org.gcube.portlets.admin.wfdocviewer.shared.RoleStep

- All Implemented Interfaces:
    Serializable

      public class RoleStep
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleStep()`
    `RoleStep(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role, org.gcube.portlets.admin.wfdocslibrary.shared.Step step)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.portlets.admin.wfdocslibrary.shared.WfRole` | `getRole()`
    `String` | `getRolename()`
    `org.gcube.portlets.admin.wfdocslibrary.shared.Step` | `getStep()`
    `void` | `setRole(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role)`
    `void` | `setStep(org.gcube.portlets.admin.wfdocslibrary.shared.Step step)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleStep

          public RoleStep()

    - #### RoleStep

          public RoleStep(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role,
                  org.gcube.portlets.admin.wfdocslibrary.shared.Step step)

  - ### Method Detail

    - #### getRolename

          public String getRolename()

    - #### getRole

          public org.gcube.portlets.admin.wfdocslibrary.shared.WfRole getRole()

    - #### setRole

          public void setRole(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role)

    - #### getStep

          public org.gcube.portlets.admin.wfdocslibrary.shared.Step getStep()

    - #### setStep

          public void setStep(org.gcube.portlets.admin.wfdocslibrary.shared.Step step)

Copyright © 2015. All Rights Reserved.